Bug 234799 - Linux boot failed on IBM x3650 with RedHat AS 3 U8
Linux boot failed on IBM x3650 with RedHat AS 3 U8
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-02 02:49 EDT by polarchen
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:37:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description polarchen 2007-04-02 02:49:39 EDT
Description of problem:
Use IBM x3650 (including 2 dual-core Inte Xeon processor(2GB)) with Enterprise 
AS v3 Update8.
When just run "reboot" many times, system will hang up during linux boot 
process.

Version-Release number of selected component (if applicable):
Red Hat Enterprise AS V3 Update 8.

How reproducible:


Steps to Reproduce:
1. Press power button from IBM x3650 server.
2. If system boot into Linux successfully,type "reboot".
3. Just run "reboot",system will hang up during linux boot process.
  
Actual results:
When system hang up , there will be two kind of situation.
One is stopped at " NET4: Frame Diverter 0.46 ",and the other is "Kernel 
Panic..."(like APIC failed) . 

Expected results:
Wish that system won't hang up during the linux boot process with two dual-
core Inte Xeon processor .

Additional info:
If I just put one dual-core Inte Xeon processor into the server, system won't 
hang up during the linux boot process.
Comment 1 Bob Dingman 2007-10-08 21:25:32 EDT
IBM has posted a fix for the first problem reported here. I've pasted below the
"additional information" section from the IBM support article:

"There is a timing issue in the Linux kernel that can cause the hang described
above to occur. This hang has been observed on BladeCenter HS20 (Type 8843) and
System x3650 (Type 7979), but could potentially be seen on any server which is
USB only (no PS2 mouse or keyboard). Enabling the "usb-handoff" parameter
prevents the kernel from hanging on servers that lack a PS2 keyboard and mouse."

[ref.:
http://www-304.ibm.com/jct01004c/systems/support/supportsite.wss/docdisplay?lndocid=MIGR-5070348&brandind=5000020]


Redhat too has addressed the first problem (and possibly the second) for the IBM
HS20 Blade servers in the RHEL3 Update 9 release notes:

[http://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/release-notes/RELEASE-NOTES-U9-i386-en.html]

<Begin Quote>
HS20 Reboot Freeze

    IBM HS20 blades may freeze during reboot with an error stating:

    NET4: Frame Diverter 0.46

    To prevent further reboot freezes, add the parameters usb-handoff and noapic
to the kernel command line.
<End Quote>

Hope this helps. In July I installed RHEL3 Update 9 on an x3650 and had the
"Frame Diverter" freezeup randomly on bootup. The "usb-handoff" fix appears to
have completely solved the problem.
Comment 2 RHEL Product and Program Management 2007-10-19 14:37:45 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.